Bug 1308301 - store deploy command in the db for debugging
store deploy command in the db for debugging
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
x86_64 Linux
unspecified Severity unspecified
: ---
: 10.0 (Newton)
Assigned To: Angus Thomas
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 23:58 EST by Amit Ugol
Modified: 2016-10-11 09:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-11 09:42:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Ugol 2016-02-13 23:58:37 EST
This is purely for debugging issues.

TL;DR - Add as complete as possible deploy command to the DB.

I often see missing information when I try to debug deployment failures. The templates and resources are stored fully in the DB which already exposes most information about the environment as it is. Adding the complete deployment command is very helpful and I see no reason not to add it as complete as possible. Obviously there are customer specific information that cannot be stored, but apart from those, the entire command should be stored.
Comment 2 Mike Burns 2016-04-07 17:11:06 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Note You need to log in before you can comment on or make changes to this bug.